﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Dock;
<table style="margin-left: 20px;" border="0">
    <tr>
        <td style="width:50%">
            <table border="0">
                <tr>
                    <td nowrap="nowrap">
                        <span style="font-weight:bold">(略称)</span> Supplier Code <b style="color: Red;">*</b>
                    </td>
                    <td colspan="3" style="padding-right:20px;">
                        @Html.Common().DevExpress().GridLookup(
                        gridLookup =>
                        {
                            gridLookup.Name = "OSPSupplierFinance";
                            gridLookup.Width = 80;
                            gridLookup.ShowDescription = true;
                            gridLookup.DescriptionWidth = Unit.Pixel(300);
                            gridLookup.GridProperties.KeyFieldName = "SUPP_CD;SUPP_NAME";
                            gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialSupplierLookupGridFinancial" };//"PartialHeaderSupplierLookupGridSupplierInfo" };
                            gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;

                            gridLookup.GridProperties.Columns.Add(column =>
                            {
                                column.Name = "SUPPLIER_CODE";
                                column.FieldName = "SUPP_CD";
                                column.Caption = "Supplier<br /> Code";
                                column.Width = Unit.Pixel(80);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });

                            gridLookup.GridProperties.Columns.Add(column =>
                            {
                                column.Name = "SUPPLIER_NAME";
                                column.FieldName = "SUPP_NAME";
                                column.Caption = "Supplier<br />Name";
                                column.Width = Unit.Pixel(400);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });
                        }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td colspan="4">
                        <table style="width:100%" border="0">
                            <tr>
                                <th></th>
                                <th colspan="2"><span style="font-weight:bold">(実績 「1月時点見込み」)</span> <br /> Achievement</th>
                                <th colspan="2"><span style="font-weight:bold">(見込み)</span> <br /> Forecast</th>
                            </tr>
                            <tr>
                                <td style="width:40%">
                                    @Html.DevExpress().Label(
                                        settings =>
                                        {
                                            settings.Text = "Currency";
                                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                                        }
                                    ).GetHtml()
                                </td>
                                <td style="width: 20%; text-align: center; border:1px solid black">IDR</td>
                                <td style="width: 10%; text-align: center; border: 1px solid black; margin-right: 20px; ">MIO</td>
                                <td style="width: 20%; text-align: center; border: 1px solid black">IDR</td>
                                <td style="width: 10%; text-align: center; border: 1px solid black">MIO</td>
                            </tr>
                            <tr>
                                <td>
                                    <span style="font-weight:bold">(Amount  売上高)</span>
                                    @Html.DevExpress().Label(
                                        settings =>
                                        {
                                            settings.Text = "Sales Amount";
                                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                                        }
                                    ).GetHtml()
                                </td>
                                <td colspan="2">
                                    <input class="ftextbox" id="txtSalesAmountAchievement" type="text" style="width:180px; border:1px solid #6a8ccb"
                                           maxlength="17" readonly="readonly" disabled="disabled" />
                                </td>
                                <td colspan="2">
                                    <input class="ftextbox" id="txtSalesAmountForecast" type="text" style="width: 180px; border:1px solid #6a8ccb"
                                           maxlength="17" readonly="readonly" disabled="disabled" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span style="font-weight:bold">(営業利益)</span><br/>
                                    @Html.DevExpress().Label(
                                        settings =>
                                        {
                                            settings.Text = "Operating Profit";
                                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                                        }
                                    ).GetHtml()
                                </td>
                                <td>
                                    @Html.DevExpress().SpinEdit(
                                        settings =>
                                        {
                                            settings.Name = "txtOperatingProfitAchievement";
                                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                                            settings.Width = 100;
                                            settings.Properties.MaxLength = 17;
                                            settings.Properties.DecimalPlaces = 2;
                                            settings.Properties.ClientSideEvents.NumberChanged = "CheckMinus";
                                        }
                                    ).GetHtml()
                                </td>
                                <td>
                                    <table>
                                        <tr>
                                            <td>
                                                @Html.DevExpress().SpinEdit(
                                                    settings =>
                                                    {
                                                        settings.Name = "txtOperatingProfitAchievementPercent";
                                                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                                                        settings.Width = 60;
                                                        settings.Properties.MaxLength = 6;
                                                        settings.Properties.DecimalPlaces = 2;
                                                        settings.Properties.MinValue = -100;
                                                        settings.Properties.MaxValue = 100;
                                                    }
                                                ).GetHtml()
                                            </td>
                                            <td><span style="font-weight:bold">%</span></td>
                                        </tr>
                                    </table>
                                </td>
                                <td>
                                    @Html.DevExpress().SpinEdit(
                                        settings =>
                                        {
                                            settings.Name = "txtOperatingProfitForecast";
                                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                                            settings.Width = 100;
                                            settings.Properties.MaxLength = 17;
                                            settings.Properties.DecimalPlaces = 2;
                                            settings.Properties.ClientSideEvents.NumberChanged = "CheckMinus";
                                        }
                                    ).GetHtml()
                                </td>
                                <td>
                                    <table>
                                        <tr>
                                            <td>
                                                @Html.DevExpress().SpinEdit(
                                                    settings =>
                                                    {
                                                        settings.Name = "txtOperatingProfitForecastPercent";
                                                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                                                        settings.Width = 60;
                                                        settings.Properties.MaxLength = 6;
                                                        settings.Properties.DecimalPlaces = 2;
                                                        settings.Properties.MinValue = -100;
                                                        settings.Properties.MaxValue = 100;
                                                    }
                                                ).GetHtml()
                                            </td>
                                            <td><span style="font-weight:bold">%</span></td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td style="width:40%">
                                    <span style="font-weight:bold">(経常利益)</span> <br /> Ordinary Profit
                                </td>
                                <td style="width: 20%;">
                                    @Html.DevExpress().SpinEdit(
                                        settings =>
                                        {
                                            settings.Name = "txtOrdinaryProfitAchievement";
                                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                                            settings.Width = 100;
                                            settings.Properties.MaxLength = 17;
                                            settings.Properties.DecimalPlaces = 2;
                                            settings.Properties.ClientSideEvents.NumberChanged = "CheckMinus";
                                        }
                                    ).GetHtml()
                                </td>
                                <td style="width: 10%;">
                                    <table>
                                        <tr>
                                            <td>
                                                @Html.DevExpress().SpinEdit(
                                                settings =>
                                                {
                                                    settings.Name = "txtOrdinaryProfitAchievementPercent";
                                                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                                                    settings.Width = 60;
                                                    settings.Properties.MaxLength = 6;
                                                    settings.Properties.DecimalPlaces = 2;
                                                    settings.Properties.MinValue = -100;
                                                    settings.Properties.MaxValue = 100;
                                                }).GetHtml()
                                            </td>
                                            <td><span style="font-weight:bold">%</span></td>
                                        </tr>
                                    </table>
                                </td>
                                <td style="width: 20%;">
                                    @Html.DevExpress().SpinEdit(
                                        settings =>
                                        {
                                            settings.Name = "txtOrdinaryProfitForecast";
                                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                                            settings.Width = 100;
                                            settings.Properties.MaxLength = 17;
                                            settings.Properties.DecimalPlaces = 2;
                                            settings.Properties.ClientSideEvents.NumberChanged = "CheckMinus";
                                        }
                                    ).GetHtml()
                                </td>
                                <td style="width: 10%;">
                                    <table>
                                        <tr>
                                            <td>
                                                @Html.DevExpress().SpinEdit(
                                                settings =>
                                                {
                                                    settings.Name = "txtOrdinaryProfitForecastPercent";
                                                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                                                    settings.Width = 60;
                                                    settings.Properties.MaxLength = 6;
                                                    settings.Properties.DecimalPlaces = 2;
                                                    settings.Properties.MinValue = -100;
                                                    settings.Properties.MaxValue = 100;
                                                }).GetHtml()
                                            </td>
                                            <td><span style="font-weight:bold">%</span></td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
        <td style="vertical-align:top;width:50%">
            <table border="0" style="width:100%">
                <tr>
                    <td nowrap="nowrap">
                        <span style="font-weight:bold">(決算期)</span>
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Text = "Acc. Period";
                                settings.ControlStyle.Wrap = DefaultBoolean.False;
                            }
                        ).GetHtml()

                        <b style="color: Red;">*</b>
                    </td>
                    <td colspan="3">
                        <table>
                            <tr>
                                <td>
                                    @Html.DevExpress().TextBox(
                                    textBox =>
                                    {
                                        textBox.Properties.ClientInstanceName = "txtPeriodFrom";
                                        textBox.Name = "txtPeriodFrom";
                                        textBox.ControlStyle.CssClass = "mtz-monthpicker-widgetcontainer";
                                        textBox.Width = Unit.Pixel(150);
                                        textBox.Properties.ClientSideEvents.TextChanged = "SelectPeriodTo";
                                    }).GetHtml()
                                </td>
                                <td> To </td>
                                <td>
                                    @Html.DevExpress().TextBox(
                                    textBox =>
                                    {
                                        textBox.Properties.ClientInstanceName = "txtPeriodTo";
                                        textBox.Name = "txtPeriodTo";
                                        textBox.ControlStyle.CssClass = "mtz-monthpicker-widgetcontainer";
                                        textBox.Width = Unit.Pixel(150);
                                        textBox.ClientEnabled = false;
                                    }).GetHtml()
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <th>
                        <div style="visibility:hidden">
                            @Html.DevExpress().SpinEdit(
                                settings =>
                                {
                                    settings.Name = "txtItemNoFinan";
                                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                                    settings.Width = 120;
                                    settings.ClientVisible = true;
                                    settings.Properties.MaxLength = 10;
                                }
                            ).GetHtml()
                        </div>
                    </th>
                    <th colspan="2"><span style="font-weight:bold">(実績 「1月時点見込み」)</span> <br /> Achievement</th>
                    <th colspan="2"><span style="font-weight:bold">(見込み)</span> <br /> Forecast</th>
                </tr>
                <tr>
                    <td style="width:40%">
                        <span style="font-weight:bold">(TMMIN への売上)</span>
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Text = "Sales To TMMIN";
                                settings.ControlStyle.Wrap = DefaultBoolean.False;
                            }
                        ).GetHtml()
                        <b style="color: Red;">*</b>
                    </td>
                    <td style="width: 20%;">
                        <input class="ftextbox" id="txtSalesToTMMINAchievement" type="text" style="width: 100px; border:1px solid #6a8ccb"
                               maxlength="17" onkeydown="NumericKey(event)"
                               onkeyup="CalculateAchievement()" onchange="CalculateAchievement()"/>
                    </td>
                    <td style="width: 10%;">
                        <table>
                            <tr>
                                <td>
                                    @Html.DevExpress().TextBox(
                                    textBox =>
                                    {
                                        textBox.Properties.ClientInstanceName = "txtSalesToTMMINAchievementPercent";
                                        textBox.Name = "txtSalesToTMMINAchievementPercent";
                                        textBox.Width = Unit.Pixel(60);
                                        textBox.ClientEnabled = false;
                                        textBox.ControlStyle.CssClass = "readonlytextbox";
                                    }).GetHtml()
                                </td>
                                <td><span style="font-weight:bold">% &nbsp;&nbsp;</span></td>
                            </tr>
                        </table>
                    </td>
                    <td style="width: 20%;">
                        <input class="ftextbox" id="txtSalesToTMMINForecast" type="text" style="width: 100px; border:1px solid #6a8ccb"
                               maxlength="17" onkeydown="NumericKey(event)"
                               onkeyup="CalculateForecast()" onchange="CalculateForecast()"/>
                    </td>
                    <td style="width: 10%; padding-right:20px;">
                        <table>
                            <tr>
                                <td>
                                    @Html.DevExpress().TextBox(
                                    textBox =>
                                    {
                                        textBox.Properties.ClientInstanceName = "txtSalesToTMMINForecastPercent";
                                        textBox.Name = "txtSalesToTMMINForecastPercent";
                                        textBox.Width = Unit.Pixel(60);
                                        textBox.ClientEnabled = false;
                                        textBox.ControlStyle.CssClass = "readonlytextbox";
                                    }).GetHtml()
                                </td>
                                <td><span style="font-weight:bold">%</span></td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td style="width:40%">
                        <span style="font-weight:bold">(ADM への売上高)</span> <br /> Sales To ADM
                        <b style="color: Red;">*</b>
                    </td>
                    <td style="width: 20%;">
                        <input class="ftextbox" id="txtSalesToADMAchievement" type="text" style="width: 100px; border:1px solid #6a8ccb"
                               maxlength="17" onkeydown="NumericKey(event)"
                               onkeyup="CalculateAchievement()" onchange="CalculateAchievement()" />
                    </td>
                    <td style="width: 10%;">
                        <table>
                            <tr>
                                <td>
                                    @Html.DevExpress().TextBox(
                                    textBox =>
                                    {
                                        textBox.Properties.ClientInstanceName = "txtSalesToADMAchievementPercent";
                                        textBox.Name = "txtSalesToADMAchievementPercent";
                                        textBox.Width = Unit.Pixel(60);
                                        textBox.ClientEnabled = false;
                                        textBox.ControlStyle.CssClass = "readonlytextbox";
                                    }).GetHtml()
                                </td>
                                <td><span style="font-weight:bold">%</span></td>
                            </tr>
                        </table>
                    </td>
                    <td style="width: 20%;">
                        <input class="ftextbox" id="txtSalesToADMForecast" type="text" style="width: 100px; border:1px solid #6a8ccb"
                               maxlength="17" onkeydown="NumericKey(event)"
                               onkeyup="CalculateForecast()" onchange="CalculateForecast()" />
                    </td>
                    <td style="width: 10%;">
                        <table>
                            <tr>
                                <td>
                                    @Html.DevExpress().TextBox(
                                    textBox =>
                                    {
                                        textBox.Properties.ClientInstanceName = "txtSalesToADMForecastPercent";
                                        textBox.Name = "txtSalesToADMForecastPercent";
                                        textBox.Width = Unit.Pixel(60);
                                        textBox.ClientEnabled = false;
                                        textBox.ControlStyle.CssClass = "readonlytextbox";
                                    }).GetHtml()
                                </td>
                                <td><span style="font-weight:bold">%</span></td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td style="width:40%">
                        <span style="font-weight:bold">(その他 への売上)</span> <br /> Sales To Other
                    </td>
                    <td style="width: 20%;">
                        <input class="ftextbox" id="txtSalesToOtherAchievement" type="text" style="width: 100px; border:1px solid #6a8ccb"
                               maxlength="17" onkeydown="NumericKey(event)"
                               onkeyup="CalculateAchievement()" onchange="CalculateAchievement()"/>
                    </td>
                    <td style="width: 10%;">
                        <table>
                            <tr>
                                <td>
                                    @Html.DevExpress().TextBox(
                                    textBox =>
                                    {
                                        textBox.Properties.ClientInstanceName = "txtSalesToOtherAchievementPercent";
                                        textBox.Name = "txtSalesToOtherAchievementPercent";
                                        textBox.Width = Unit.Pixel(60);
                                        textBox.ClientEnabled = false;
                                        textBox.ControlStyle.CssClass = "readonlytextbox";
                                    }).GetHtml()
                                </td>
                                <td><span style="font-weight:bold">%</span></td>
                            </tr>
                        </table>
                    </td>
                    <td style="width: 20%;">
                        <input class="ftextbox" id="txtSalesToOtherForecast" type="text" style="width: 100px; border:1px solid #6a8ccb"
                               maxlength="17" onkeydown="NumericKey(event)"
                               onkeyup="CalculateForecast()" onchange="CalculateForecast()" />
                    </td>
                    <td style="width: 10%;">
                        <table>
                            <tr>
                                <td>
                                    @Html.DevExpress().TextBox(
                                    textBox =>
                                    {
                                        textBox.Properties.ClientInstanceName = "txtSalesToOtherForecastPercent";
                                        textBox.Name = "txtSalesToOtherForecastPercent";
                                        textBox.Width = Unit.Pixel(60);
                                        textBox.ClientEnabled = false;
                                        textBox.ControlStyle.CssClass = "readonlytextbox";
                                    }).GetHtml()
                                </td>
                                <td><span style="font-weight:bold">%</span></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="right">
            <table>
                <tr>
                    <td width="50%" align="right">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveFinan";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginAddNewFinan";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewFinan";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNewFinan";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
